
QGIS Application - Bug report #14229

Raster in projected CRS is not rendered in geographic CRS if the extent exceeds -180,-90,180,90

2016-02-04 01:26 AM - Radim Blazek

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22227

Description

Raster in projected CRS is not rendered if OTFR is on, project is in geographic CRS and canvas extent exceeds -180,-90,180,90.

How to reproduce:

- set OTFR on

- set project CRS to EPSG:4326

- open qgis_sample_data/raster/landcover.img

Nothing is displayed until you zoom to area within -180,-90,180,90 covered by landcover.img

It is probably caused by 

https://github.com/qgis/QGIS/blob/27f1637f/src/core/qgsmaprendererjob.cpp#L152

    extent = QgsRectangle( -DBL_MAX, -DBL_MAX, DBL_MAX, DBL_MAX );

and consequently 

https://github.com/qgis/QGIS/blob/27f1637f/src/core/raster/qgsrasterlayerrenderer.cpp#L85

tells "draw request outside view extent".

Associated revisions

Revision c09c96b0 - 2017-11-14 01:30 PM - Even Rouault

Raster renderer: fix so that raster in projected CRS is not rendered in geographic CRS if the extent exceeds -180,-90,180,90 (fixes #14229)

Revision eefcb318 - 2017-11-14 01:34 PM - Even Rouault

Raster renderer: fix so that raster in projected CRS is not rendered in geographic CRS if the extent exceeds -180,-90,180,90 (fixes #14229)

History

#1 - 2016-02-04 10:58 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.14

#2 - 2017-02-28 12:16 AM - Giovanni Manghi

- Target version changed from Version 2.14 to Version 2.18

- Affected QGIS version changed from master to 2.18.4

#3 - 2017-04-30 05:08 PM - Giovanni Manghi
https://github.com/qgis/QGIS/blob/27f1637f/src/core/qgsmaprendererjob.cpp#L152
https://github.com/qgis/QGIS/blob/27f1637f/src/core/raster/qgsrasterlayerrenderer.cpp#L85


- Regression? set to Yes

#4 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#5 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-05-05 01:57 PM - Giovanni Manghi

- Description updated

- Affected QGIS version changed from 2.18.4 to 2.18.7

#7 - 2017-11-14 01:30 PM - Even Rouault

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|c09c96b03e5ed6bf043145471974eede2e34bb16.
